<div class="btn-group">
  <button (click)="onFilter()" class="btn btn-dark btn-filter"><span><i class="fa fa-filter"></i>&nbsp;Filter</span></button>
  <div class="muti-filter">
    <div>
    <span class="filter-list">
      <span class="filter-item" *ngFor="let item of items;let i = index">
        <select class="form-control" [(ngModel)]="item.field">
          <option [ngValue]="field" *ngFor="let field of fields">
            {{field.label}}
          </option>
        </select>
        &nbsp;
        <select class="form-control" [(ngModel)]="item.operator">
          <option [ngValue]="operator" *ngFor="let operator of operators">
            {{operator.label}}
          </option>
        </select>
        &nbsp;
        <input class="form-control" [(ngModel)]="item.value" placeholder="Enter filter">
        <span class="remove-item" (click)="removeItem(i)"><i class="fa fa-times"></i></span>
      </span>
    </span>
    </div>
  </div>
  <button class="btn btn-success btn-add-item" (click)="addItem()">
    <span class=""><i class="fa fa-plus"></i>&nbsp;Add</span>
  </button>
</div>

